Bug 183096 - X stops accepting mouse clicks
X stops accepting mouse clicks
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
NeedsRetesting
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-26 00:40 EST by Todd Simi
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.18-1.2200.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-08 10:57:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Todd Simi 2006-02-26 00:40:55 EST
Description of problem:
X11 stops accepting mouse clicks.  System will be running fine, the stops
accepting mouse clicks.  Cursor movement with mouse in unaffected.  Keyboard is
unaffected at first.



Version-Release number of selected component (if applicable):


How reproducible:
Seems to occur randomly after starting X

Steps to Reproduce:
1.
2.
3.
  
Actual results:
When X stops responding to mouse click, I can still use the keyboard with open
applications.  I can also CTRL-ALT-BS to leave X and upon return, mouse is fine
again for awhile.

If I CTRL-ALT-F# and then CTRL-ALT-F7 to return to X, then the mouse is
completely disabled as well as the keyboard, requireing me to reset the system.

Expected results:


Additional info:

Never had problem in FC4

Pentium D
Fedora 5 test 2 and 3 though current updates (2/25/06)
Kernel x86_64 (all of FC5t2 though FC5t3 today)
1GB Ram
NVIDIA GeForce 6600 ( problem occurs with X nv driver and with NVIDIA driver)

X11 log shows no errors
Comment 1 Mike A. Harris 2006-03-01 02:49:26 EST
This sounds like a kernel mouse driver protocol synchronization problem.
Are you using a KVM switch?  If so, remove the KVM and plug the mouse directly
into the computer, reboot and try to reproduce.

Reassigning to kernel component.
Comment 2 Todd Simi 2006-03-01 23:02:37 EST
This happens with both a USB and a PS/2 mount, when either is plugged directly
into the machine.
Comment 3 Todd Simi 2006-03-11 15:32:14 EST
Sill a problem on 2.6.15-1.2041_FC5 with x86_64
Comment 4 Graham Cole 2006-04-27 03:30:22 EDT
I get this problem too.  Hitting Alt-Tab seems to get the mouse pointer out of
the locked state for me.
Comment 5 Chris Parkin 2006-05-11 13:33:37 EDT
I have the same problem on a 32bit AMD system with NVIDIA GFX. It happens every
20 mins or so and is really annoying. Kernel is 2.6.16-1.2111_FC5.
Comment 6 Manoj Kumar Singh 2006-08-27 01:37:18 EDT
I am also experiencing the same problem on em64t sysem (intel processor no. 630)
and 915 chipset and  x86-64 FC5 with all updates till date. In my case keyboard
repeat rate is also very erratic. 
Comment 7 Dave Jones 2006-10-16 15:53:38 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 8 Matěj Cepl 2006-11-01 08:26:06 EST
Missing cursor mouse after switching to VT1 and back is followed as bug 204599
Comment 9 Matěj Cepl 2006-11-01 10:30:54 EST
Todd, do you have switched on compix (i.e., System/Preferences/Desktop Effects
is on)? If yes, could you, please, try to reproduce the bug with this setting
switcehd off? Thank you.
Comment 10 Todd Simi 2006-11-08 01:47:07 EST
Hi,

I haven't had the problem sice upgrading kernel to 2.6.18-1.2200.fc5

Thanks
Todd
Comment 11 Jarod Wilson 2006-11-08 10:57:07 EST
Closing, based on comment #10.

Note You need to log in before you can comment on or make changes to this bug.